Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.io
Class CharArrayWriter

    java.lang.Object
      |
      +--java.io.Writer
            |
            +--java.io.CharArrayWriter

public class CharArrayWriter
extends Writer

This class implements a character buffer that can be used as an Writer. The buffer automatically grows when data is written to the stream. The data can be retrieved using toCharArray() and toString().

Since:
  JDK1.1

Field Summary
`protected char[]` | `buf` The buffer where data is stored.
`protected int` | `count` The number of chars in the buffer.

Fields inherited from class java.io.Writer
`lock`

Constructor Summary
`CharArrayWriter()` Creates a new CharArrayWriter.
`CharArrayWriter(int initialSize)` Creates a new CharArrayWriter with the specified initial size.

Method Summary
`void` | `close()` Close the stream.
`void` | `flush()` Flush the stream.
`void` | `reset()` Resets the buffer so that you can use it again without throwing away the already allocated buffer.
`int` | `size()` Returns the current size of the buffer.
`char[]` | `toCharArray()` Returns a copy of the input data.
`String` | `toString()` Converts input data to a string.
`void` | `write(char[] c, int off, int len)` Writes characters to the buffer.
`void` | `write(int c)` Writes a character to the buffer.
`void` | `write(String str, int off, int len)` Write a portion of a string to the buffer.
`void` | `writeTo(Writer out)` Writes the contents of the buffer to another character stream.

Methods inherited from class java.io.Writer
`write, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### buf

    protected char[] buf

  The buffer where data is stored.

### count

    protected int count

  The number of chars in the buffer.

Constructor Detail

### CharArrayWriter

    public CharArrayWriter()

  Creates a new CharArrayWriter.

### CharArrayWriter

    public CharArrayWriter(int initialSize)

  Creates a new CharArrayWriter with the specified initial size.

Parameters:
  `initialSize` - an int specifying the initial buffer size.
Throws:
  `IllegalArgumentException` - if initialSize is negative

Method Detail

### write

    public void write(int c)

  Writes a character to the buffer.

  Overrides:
    `write` in class `Writer`
  Parameters:
    `c` - int specifying a character to be written.

### write

    public void write(char[] c,
                      int off,
                      int len)

  Writes characters to the buffer.

  Specified by:
    `write` in class `Writer`
  Parameters:
    `c` - the data to be written
    `off` - the start offset in the data
    `len` - the number of chars that are written

### write

    public void write(String str,
                      int off,
                      int len)

  Write a portion of a string to the buffer.

  Overrides:
    `write` in class `Writer`
  Parameters:
    `str` - String to be written from
    `off` - Offset from which to start reading characters
    `len` - Number of characters to be written

### writeTo

    public void writeTo(Writer out)
                 throws IOException

  Writes the contents of the buffer to another character stream.

  Parameters:
    `out` - the output stream to write to
  Throws:
    `IOException` - If an I/O error occurs.

### reset

    public void reset()

  Resets the buffer so that you can use it again without throwing away the already allocated buffer.

### toCharArray

    public char[] toCharArray()

  Returns a copy of the input data.

  Returns:
    an array of chars copied from the input data.

### size

    public int size()

  Returns the current size of the buffer.

  Returns:
    an int representing the current size of the buffer.

### toString

    public String toString()

  Converts input data to a string.

  Overrides:
    `toString` in class `Object`
  Returns:
    the string.

### flush

    public void flush()

  Flush the stream.

  Specified by:
    `flush` in class `Writer`

### close

    public void close()

  Close the stream. This method does not release the buffer, since its contents might still be required.

  Specified by:
    `close` in class `Writer`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2002 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.